Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.beans.decisiontree
Class LearningAlgorithm

    java.lang.Object
      com.ibm.able.beans.decisiontree.LearningAlgorithm

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DecisionTree

public class LearningAlgorithm
extends java.lang.Object
implements java.io.Serializable

class LearningAlgorithm

See Also:
  Serialized Form

Method Summary
`void` | `buildHypothesis(Data data)` buildHypothesis
`void` | `classify(Data data)` classify
`java.lang.String` | `fileName()` set and get
`void` | `outputStats()` outputStats
`void` | `printHypothesis(Data data)` printHypothesis
`void` | `pruneHypothesis(Data data)` pruneHypothesis
`void` | `readGeneralOptions(java.lang.String[] args)` readGeneralOptions
`void` | `setFileName(java.lang.String name)`
`void` | `setTestExamples(boolean test)`
`boolean` | `testExamples()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### fileName

    public java.lang.String fileName()

  set and get

### testExamples

    public boolean testExamples()

### setFileName

    public void setFileName(java.lang.String name)

### setTestExamples

    public void setTestExamples(boolean test)

### readGeneralOptions

    public void readGeneralOptions(java.lang.String[] args)

  readGeneralOptions

### buildHypothesis

    public void buildHypothesis(Data data)

  buildHypothesis

### pruneHypothesis

    public void pruneHypothesis(Data data)

  pruneHypothesis

### printHypothesis

    public void printHypothesis(Data data)

  printHypothesis

### outputStats

    public void outputStats()

  outputStats

### classify

    public void classify(Data data)

  classify

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005